# Class Exception
Generic SeqAn exception.

Defined in | <seqan/basic.h>
Signature | `typedef std::exception Exception;`

## Member Function Overview

- `Exception::Exception(msg);`
  Constructor.

## Member Functions Detail

### `Exception::Exception(msg);`

Constructor.

#### Parameters

`msg` | The message as a `std::string`.

#### Data Races

Thread safety unknown!

#### Dox Sources

    /*!
     * @class Exception
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Generic SeqAn exception.
     *
     * @signature typedef std::exception Exception;
     *
     * @fn Exception::Exception
     *
     * @brief Constructor.
     *
     * @signature Exception::Exception(msg);
     *
     * @param[in] msg The message as a <tt>std::string</tt>.
     */